import { mudMessage, MUDMessagePriority } from "../utility/mud-messenger";
export class MUDPlayerAccessors {
    constructor() {
        this._players = [];
    }
    registerPlayer(player) {
        const alreadyRegistered = this._players.some(p => p.playerID === player.playerID);
        if (alreadyRegistered) {
            mudMessage(MUDMessagePriority.warning, `Player with ID ${player.playerID} already registered`);
        }
        else {
            this._players.push(player);
        }
    }
    getPlayers() {
        return this._players;
    }
    getPlayerByID(playerID) {
        return this._players.find(player => player.playerID === playerID);
    }
}
//# sourceMappingURL=player.acc.js.map