import { MUDLevel } from './level';
import { MUDStatDefinitionAccessors } from "../accessors/stat-definition.acc";
import { MUDPlayerAccessors } from "../accessors/player.acc";
import { MUDGameSerialized } from "../interfaces/serialized.interfaces";
export declare class MUDGame {
    StatDefinitions: MUDStatDefinitionAccessors;
    Players: MUDPlayerAccessors;
    private _levels;
    get levelCount(): number;
    createLevel(name: string, width: number, height: number): MUDLevel;
    getLevel(id: number | string): MUDLevel | null;
    static Serialize(game: MUDGame): MUDGameSerialized;
    static Deserialize(serializedGame: MUDGameSerialized): MUDGame;
}
