var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var MUDPlayer_1;
import { v4 } from 'uuid';
import { MUDStat } from './stat';
import { staticImplements } from '../utility/class-decorators';
import { mudMessage, MUDMessagePriority } from '../utility/mud-messenger';
let MUDPlayer = MUDPlayer_1 = class MUDPlayer {
    constructor(name) {
        this.stats = [];
        this.playerID = v4();
        this.playerName = name;
    }
    AddStat(statDefinition, startingValue) {
        this.stats.push(new MUDStat(statDefinition, startingValue));
    }
    GetStatByID(statID) {
        const stat = this.stats.find(stat => stat.statID === statID);
        if (stat) {
            return stat;
        }
        else {
            mudMessage(MUDMessagePriority.warning, `No stat found on player ${this.playerName} that matches ID ${statID}`);
            return null;
        }
    }
    static Serialize(player) {
        return {
            playerID: player.playerID,
            playerName: player.playerName,
            stats: player.stats.map(stat => MUDStat.Serialize(stat))
        };
    }
    static Deserialize(serializedPlayer) {
        const player = new MUDPlayer_1(serializedPlayer.playerName);
        player.stats = serializedPlayer.stats.map(stat => {
            return MUDStat.Deserialize(stat);
        });
        return player;
    }
};
MUDPlayer = MUDPlayer_1 = __decorate([
    staticImplements()
], MUDPlayer);
export { MUDPlayer };
//# sourceMappingURL=player.js.map