import { MUDStatModPhase, MUDStatModType } from './stat-mod';
import { MUDStatDefinition } from './stat-definition';
import { MUDStatSerialized } from "../interfaces/serialized.interfaces";
export declare class MUDStat {
    private _statDefinition;
    private _baseValue;
    private _mods;
    get displayName(): string;
    get baseValue(): number;
    get statID(): string;
    get totalValue(): number;
    constructor(statDefinition: MUDStatDefinition, baseValue: number);
    AddToBaseValue(valueToAdd: number): number;
    AddModifier(value: number, type: MUDStatModType, phase?: MUDStatModPhase): void;
    private calcMods;
    static Serialize(stat: MUDStat): MUDStatSerialized;
    static Deserialize(serializedStat: MUDStatSerialized): MUDStat;
}
