// Import here Polyfills if needed. Recommended core-js (npm i -D core-js)
// import "core-js/fn/array.find"
// ...
import { MUDGame } from './entities/game';
import { ValidateSaveFile } from './utility/validate-save-file';
export class MUD {
    constructor(config) {
        MUD.MUDConfig = config;
        MUD.MUDGame = new MUDGame();
        const titleCard = `
 ____________________________________
|    _____ _____ ____     __ _____   |
|   |     |  |  |    \\ __|  |   __|  |
|   | | | |  |  |  |  |  |  |__   |  |
|   |_|_|_|_____|____/|_____|_____|  |
|        ADVENTURE IF YOU DARE!      |
| An API For Building MUD-like Games |
|        by Caleb Eno ©${new Date().getFullYear()}          |
|____________________________________|
`;
        if (!config.disableTitleCard) {
            // tslint:disable-next-line
            console.log(titleCard);
        }
    }
    static SaveGame(game) {
        console.log(MUDGame.Serialize(game));
        return MUDGame.Serialize(game);
    }
    static LoadGame(savedGame) {
        ValidateSaveFile(savedGame);
        MUD.MUDGame = MUDGame.Deserialize(savedGame);
    }
}
//# sourceMappingURL=mudjs.js.map